Skip to main content
POST
/
v0
/
facts
/
verify
Verify or unverify facts
curl --request POST \
  --url https://api.avidoai.com/v0/facts/verify \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-application-id: <api-key>' \
  --data '
{
  "isVerified": true,
  "factIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "topicIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "quickstartId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "count": 5
}

Documentation Index

Fetch the complete documentation index at: https://docs.avidoai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Body

application/json

Request body for verifying or unverifying facts in bulk

isVerified
boolean
required

Whether to mark the facts as verified (true) or unverified (false)

Example:

true

factIds
string<uuid>[]

IDs of the facts to verify or unverify

Required array length: 1 - 1000 elements
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
topicIds
string<uuid>[]

IDs of the topics whose facts should be verified or unverified

Required array length: 1 - 1000 elements
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
quickstartId
string<uuid>

Optional quickstart ID to scope verification to a specific quickstart

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Successfully updated facts

Response for bulk fact verification

count
integer
required

Number of facts updated

Required range: 0 <= x <= 9007199254740991
Example:

5